# Global Named Actions

Global named actions can be defined in the **Environment > Named Actions** tab in your [site settings](/reference/site-settings.md). When a named action is called, BetterForms will first look to see if a page-specific named action is defined for that name and if not, then check for a site-wide named action.

Global named actions can be called from anywhere within the application. This makes them perfect for reuse. For the occasion when you need a special override to that global name action, you can use a locally scoped named action.

Typical Usage:

* Common actions that are located in header or footer slots
* Reused actions like `print` and `save`
* Reused navigation like `gotoPageListview`

For more details about named actions, see this page:

{% content-ref url="/pages/lrn8Yi0CzsjybKPGBlM3" %}
[Named Actions (Action Scripts)](/reference/actions-processor/actions_named.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/reference/site-settings/site-wide-named-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
